# -*- coding: utf-8 -*-
# © 2017 Tobias Zehntner
# © 2017 Niboo SPRL (https://www.niboo.be/)
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl.html).
from odoo import api, exceptions, fields, models, _
from odoo.exceptions import UserError


class StockMove(models.Model):
    _inherit = 'stock.move'

    @api.constrains('product_uom')
    def _check_uom(self):
        for move in self:
            if any(move.product_id.uom_id.category_id.id != move.product_uom.category_id.id for move in self):
                raise UserError(_("""You try to move a product using a UoM\
                 that is not compatible with the UoM of the product moved.
                 Please use an UoM in the same UoM category.
                        
Product: %s
UOM move: %s
UOM product: %s""" % (move.product_id.name, move.product_id.uom_id.name,
                      move.product_uom.name)))
